Module org.firebirdsql.jaybird
Package org.firebirdsql.management

# Interface UserManager

All Superinterfaces:
  `AttachmentProperties`, `BaseProperties`, `ServiceConnectionProperties`, `ServiceManager`

All Known Implementing Classes:
  `FBUserManager`

@Deprecated(since="6") public interface UserManager extends ServiceManager
Deprecated.
Use the SQL user management statements instead, we currently do not plan to remove this API
The base Firebird Service API functionality.

Author:
  Steven Jardine

## Method Summary

Modifier and Type
Method
Description
`void`
`add(User user)`
Deprecated.
Add a user to the Firebird Security Database.
`void`
`delete(User user)`
Deprecated.
Delete a user to the Firebird Security Database.
`void`
`dropAdminRoleMapping()`
Deprecated.
Drops AUTO ADMIN MAPPING from role RDB$ADMIN in security database
`Map<String,User>`
`getUsers()`
Deprecated.
Return all valid users in the Firebird Security Database.
`void`
`setAdminRoleMapping()`
Deprecated.
Sets AUTO ADMIN MAPPING for role RDB$ADMIN in security database
`void`
`setSecurityDatabase(String securityDatabase)`
Deprecated.
Sets the security database and therefore overrides the per default used security database (e.g.
`void`
`update(User user)`
Deprecated.
Update a user to the Firebird Security Database.

### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

`getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEnableProtocol, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSocketFactory, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEnableProtocol, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSocketFactory, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

`connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

### Methods inherited from interface org.firebirdsql.jaybird.props.ServiceConnectionProperties

`getExpectedDb, getServiceName, setExpectedDb, setServiceName`

### Methods inherited from interface org.firebirdsql.management.ServiceManager

`getDatabase, getHost, getLogger, getPort, getServerVersion, getWireCryptAsEnum, setDatabase, setHost, setLogger, setPort, setWireCryptAsEnum`

## Method Details

### add

void add(User user) throws SQLException, IOException
Deprecated.
Add a user to the Firebird Security Database.

Parameters:
  `user` - to the Firebird Security Database.
Throws:
  `SQLException`
  `IOException`

### delete

void delete(User user) throws SQLException, IOException
Deprecated.
Delete a user to the Firebird Security Database.

Parameters:
  `user` - to the Firebird Security Database.
Throws:
  `SQLException`
  `IOException`

### update

void update(User user) throws SQLException, IOException
Deprecated.
Update a user to the Firebird Security Database.

Parameters:
  `user` - to the Firebird Security Database.
Throws:
  `SQLException`
  `IOException`

### getUsers

Map<String,User> getUsers() throws SQLException, IOException
Deprecated.
Return all valid users in the Firebird Security Database.

Returns:
  all valid users in the Firebird Security Database.
Throws:
  `SQLException`
  `IOException`

### setSecurityDatabase

void setSecurityDatabase(String securityDatabase)
Deprecated.
Sets the security database and therefore overrides the per default used security database (e.g. security2.fdb)

Supported since Firebird 2.1

Parameters:
  `securityDatabase` - name/path of securityDatabase

### setAdminRoleMapping

void setAdminRoleMapping() throws SQLException, IOException
Deprecated.
Sets AUTO ADMIN MAPPING for role RDB$ADMIN in security database

Throws:
  `SQLException`
  `IOException`

### dropAdminRoleMapping

void dropAdminRoleMapping() throws SQLException, IOException
Deprecated.
Drops AUTO ADMIN MAPPING from role RDB$ADMIN in security database

Throws:
  `SQLException`
  `IOException`